Calendar
Business+Calendar integration and iCal export.
Read Only
This endpoint only supports GET requests.
Required scopes:
calendar-feed
Endpoints
GET
/api/v1/calendar-feed
Get iCal calendar feed
Query Parameters
| Parameter | Description |
|---|---|
from
|
Start date for calendar range (ISO 8601) |
to
|
End date for calendar range (ISO 8601) |
visible
|
Filter by visibility (0 or 1) |
Response Schema
| Field | Type |
|---|---|
content_type
|
text/calendar |
format
|
iCalendar (RFC 5545) |
Code Examples
curl -X GET "https://your-tenant.plandocket.com/api/v1/calendar-feed?from=2026-01-01&to=2026-12-31" \
-H "Authorization: Bearer YOUR_API_KEY" \
-o calendar.ics
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => $baseUrl . '/api/v1/calendar-feed?from=2026-01-01&to=2026-12-31',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . $apiKey,
],
]);
$response = curl_exec($ch);
curl_close($ch);
// iCalendar (text/calendar), not JSON
echo $response;
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';
const response = await fetch(`${baseUrl}/api/v1/calendar-feed?from=2026-01-01&to=2026-12-31`, {
method: 'GET',
headers: {
'Authorization': `Bearer ${apiKey}`,
},
});
// iCalendar (text/calendar), not JSON
const ics = await response.text();
console.log(ics);
import requests
api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'
headers = {
'Authorization': f'Bearer {api_key}',
}
response = requests.get(f'{base_url}/api/v1/calendar-feed?from=2026-01-01&to=2026-12-31', headers=headers)
# iCalendar (text/calendar), not JSON
print(response.text)
Sample Response
200 OK
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//PlanDocket//Calendar Feed//EN
BEGIN:VEVENT
UID:event-1@your-tenant.plandocket.com
DTSTART;VALUE=DATE:20260115
DTEND;VALUE=DATE:20260118
SUMMARY:Example Fair 2026
END:VEVENT
END:VCALENDAR